Get a list of service requests
get
/ServiceRequest
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of service requests that meet the supplied query parameters.
- Provide
_id,patient, orsubject. - Use
category,code,authored, and_lastUpdatedonly withpatientorsubject.
Request
Query Parameters
-
_count: integer
Minimum Value:
1Maximum Value:128The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: string
The last updated date or range.
-
_revinclude: string
The inclusion of related Provenance resources whose target is a returned ServiceRequest.Allowed Values:
[ "Provenance:target" ] -
authored: string
The authored date or range.
-
category: string
One or more comma-separated category tokens.
-
code: string
One or more comma-separated service code tokens.
-
patient: string
One patient ID or
Patient/idreference. -
subject: string
One patient ID or
Patient/idsubject reference.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
type(required): string
Nested Schema : resource
Match One Schema
Show Source
-
object
ServiceRequest
Additional Properties Allowed:
trueThe Oracle US Core ServiceRequest returned by read and search operations. Public properties are limited to the supported profile fields. -
object
ProvenanceForServiceRequest
Additional Properties Allowed:
true -
object
OperationOutcome
The FHIR OperationOutcome.
Nested Schema : ServiceRequest
Type:
objectAdditional Properties Allowed:
trueThe Oracle US Core ServiceRequest returned by read and search operations. Public properties are limited to the supported profile fields.
Show Source
-
asNeededBoolean: boolean
-
authoredOn: string
(date-time)
-
basedOn: array
basedOn
-
bodySite: array
bodySite
-
category: array
category
-
code(required): object
CodeableConcept
-
doNotPerform: boolean
-
encounter: object
ReferenceForServiceRequest
-
id(required): string
-
intent(required): string
-
locationReference: array
locationReference
-
meta: object
meta
-
note: array
note
-
occurrenceDateTime: string
(date-time)
-
occurrencePeriod: object
Period
-
occurrenceTiming: object
Timing
-
orderDetail: array
orderDetail
-
patientInstruction: string
-
performer: array
performer
-
priority: string
-
quantityQuantity: object
Quantity
-
quantityRange: object
Range
-
quantityRatio: object
Ratio
-
reasonCode: array
reasonCode
-
reasonReference: array
reasonReference
-
requester: object
ReferenceForServiceRequest
-
resourceType(required): string
Allowed Values:
[ "ServiceRequest" ] -
status(required): string
Allowed Values:
[ "draft", "active", "on-hold", "revoked", "completed", "entered-in-error", "unknown" ] -
subject(required): object
ReferenceForServiceRequest
-
text(required): object
Narrative
Nested Schema : ProvenanceForServiceRequest
Type:
objectAdditional Properties Allowed:
Show Source
true-
resourceType(required): string
Allowed Values:
[ "Provenance" ]
Nested Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source